## bovo 21.08.0

=== debian/changelog ===
bovo (4:21.08.0-1deepin1) unstable; urgency=medium

  * Modify KF5KDEGames version requirement to build on newer systems

 -- sisungo <sisungo@icloud.com>  Thu, 8 Oct 2025 12:21:33 +0800

bovo (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:43:19 +0900

bovo (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:44:40 +0900
